<?php

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

global $template;

include_once(STUFFS_PATH . 'include/class.inc.php');
include(STUFFS_PATH . 'include/extended.inc.php');

$stuffs = new stuffs();

$template->set_filename('stuffs', realpath($stuffs->get_template('blocks.tpl')));

if (script_basename() == 'index')
{
  $begin = 'PLUGIN_INDEX_CONTENT_BEFORE';
  $end = 'PLUGIN_INDEX_CONTENT_AFTER';
  $css_file = 'index.css';
}
else
{
  $begin = 'PLUGIN_PICTURE_BEFORE';
  $end = 'PLUGIN_PICTURE_AFTER';
  $css_file = 'picture.css';
}

if (!empty($stuffs->blocks['begin']))
{
  $template->assign('blocks', $stuffs->blocks['begin']);
  $template->assign_var_from_handle($begin,	'stuffs');
}
if (!empty($stuffs->blocks['end']))
{
  $template->assign('blocks', $stuffs->blocks['end']);
  $template->assign_var_from_handle($end,	'stuffs');
}

$template->block_html_head('', '<link rel="stylesheet" type="text/css" href="'.$stuffs->get_template($css_file).'">', $smarty, $repeat);

?>